net.corda.node.services.messaging

## Class ClassSerializer

- net.corda.node.services.messaging.ClassSerializer

-     public class ClassSerializer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClassSerializer` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<java.lang.Class> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, java.lang.Class<?> clazz)`

- - ### Field Detail

    - #### INSTANCE

          public static ClassSerializer INSTANCE

  - ### Method Detail

    - #### read

          public java.lang.Class<?> read(com.esotericsoftware.kryo.Kryo kryo,
                                         com.esotericsoftware.kryo.io.Input input,
                                         java.lang.Class<java.lang.Class> type)

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            java.lang.Class<?> clazz)